using APT.Infrastructure.Api;
using APT.Infrastructure.Utility;
using System;
using System.ComponentModel;
using APT.Infrastructure.Core;
using System.Collections.Generic;

namespace APT.BaseData.Domain.Entities
{
	[Description("审批流模板主表")]
     public partial class T_PF_APPROVE_TEMP : MesEntityBase
    {

		[Description("流程模板编码")]
		[FormFieldEdit]
		[FormFieldQuery]
		[FormFieldTable]
		[DataFieldLength(20)]
		public string CODE { get; set; }
		/// <summary>
		/// 显示名称
		/// </summary>

		[Description("流程模板名称")]
		[FormFieldEdit]
		[FormFieldQuery]
		[FormFieldTable]
		[DataFieldLength(50)]
		public string NAME { get; set; }

		[FormFieldEdit]
		[FormFieldQuery]
		[FormFieldTable]
		[DataFieldLength(10)]
		[Description("表单编码")]
		public string FORM_CODE { get; set; }

		/// <summary>
		///Get接口，需返回bool类型
		/// </summary>
		[Description("回调接口")]
		[FormFieldEdit]
		[FormFieldTable]
		[DataFieldLength(100)]
		public string CALLBACK_INTERFACE { get; set; }


		[FormFieldEdit]
		[DataFieldLength(200)]
		[Description("备注")]
		public string REMARK { get; set; }


		[Description("启用标志")]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }

		[FormFieldEdit]

		[Description("导航：审批模板子表")]
		public ICollection<T_PF_APPROVE_TEMP_DETAIL> Nav_ApproveTempDetails { get; set; }

		[FormFieldEdit]
		[DataFieldLength(200)]
		[Description("自定义参数")]
		public string PARAM { get; set; }

        /// <summary>
        ///Get接口，需返回bool类型
        /// </summary>
        [Description("驳回接口")]
        [FormFieldEdit]
        [FormFieldTable]
        [DataFieldLength(100)]
        public string REJECT_INTERFACE { get; set; }

        [Description("归档接口")]
        public string ARCHIVE_INTERFACE { get; set; }

        [Description("最高审批角色")]
        public string APPROVE_ROLE_NAME { get; set; }

        [Description("类名")]
        public string CLASS_NAME { get; set; }

        [Description("方法名")]
        public string METHOD_NAME { get; set; }
    }
}
